
from saleae.analyzers import AnalyzerFrame
from SecondLayerHLAs import SecondLayerAnalyzer


# DPD SPD High level analyzer must subclass the Second Layer HLA class
class DDRSPDHla(SecondLayerAnalyzer.SecondLayerHLA):

    def __init__(self):
        pass

    def updateCCC(self, ccc_dict: dict) -> None:
        pass

    def update_result_types(self, result_types: dict) -> None:
        pass

    def instruction_decoder(self, frame:AnalyzerFrame) -> AnalyzerFrame:
        return frame

    #Returns the correct analyzer frame for each abort case possible
    def handle_abort_message(self, temp_frame: AnalyzerFrame,end_time) -> AnalyzerFrame:
        pass